## Contributing

First, thanks for considering contributing to our project! In general, our
`Development.md` contains a lot of development-related information that could
prove useful to a contributor!

### Issues

Before creating a new issue, look at current and past issues both on
[Github](https://github.com/mongodb/mongo-swift-driver/issues) **AND** [MongoDB
JIRA](https://jira.mongodb.org/projects/SWIFT/issues). Also look at
[outstanding PRs](https://github.com/mongodb/mongo-swift-driver/pulls), and
overall, ensure that the issue hasn't already been reported. In particular,
MongoDB's JIRA has most of the active development information on this driver.

If you decide that your issue truly is unique and new, then please follow the
guidelines for submitting an issue, for which there is a template (you'll see
this template when you go to create the issue). Make sure to write in clear and
easy-to-understand English. Your issue is more likely to be resolved quickly if
the maintainers and contributors of this project can understand what you are
saying.

### Pull Requests

Make sure that you read the template that we have for pull requests and do
things like lint your own added/deleted code! You should also make sure that
the features or functionality you are adding is not already added, or, is not
already in the process of being done. You can figure this out by looking at the
pre-existing issues and MongoDB JIRA tickets, both in-progress as well as those
that are completed.
